/*
*  C Implementation: Tcl Example
*
* Description:
*
*
* Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
*
* Copyright: See COPYING file that comes with this distribution
*
*/

#include <tcl.h>

int main(int argc,char**argv)
{
	int i;
	Tcl_Interp*inter;
	//Init
	Tcl_FindExecutable(*argv);
	//Interpreter
	inter=Tcl_CreateInterp();
	Tcl_Init(inter);
	//execute...
	Tcl_Eval(inter,"puts \"hello world!\"");
	for(i=1;i<argc;i++){
		Tcl_EvalFile(inter,argv[i]);
	}
	Tcl_Eval(inter,"puts \"no more...\"");
	//delete interpreter
	Tcl_DeleteInterp(inter);
	return 0;
}
